Bug 473903 - font size isn't restored upon login
font size isn't restored upon login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 496703
  Show dependency treegraph
 
Reported: 2008-12-01 07:15 EST by Francis Earl
Modified: 2009-12-18 02:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francis Earl 2008-12-01 07:15:23 EST
Description of problem:
When I first log in to an Xsession, my fonts are all about 6pt when they should be 9pt. When I launch the Appearance settings, they are restored to my settings. This appears to be true with all fonts. It is also true of all GTK apps, and aMSN at least.

Version-Release number of selected component (if applicable):
2.6.0-3.fc10

How reproducible:
100%

Steps to Reproduce:
1. Log into X
2. Notice fonts are wrong
3. Go to fix them, watch them magically fix themselves w/o interaction
  
Actual results:
Fonts are not restored through sessions immediately

Expected results:
The fonts I select should remain.

Additional info:
I am using the default "Sans" font, size 9. GDM is set at 1024x768 while the users session is 1280x1024. It appears to be using the GDM settings for the Xsession despite the change in resolution. This is rarely also displayed by panels rendering by dimensions of the old resolution, despite being able to use the rest of the screen (somewhat) normally (just have to move things around the panel...)
Comment 1 Bryan Mason 2009-03-25 13:56:50 EDT
I'm seeing this behavior as well with a dual-display IBM T41.  The internal LCD is 1024x768 and the external is 1280x1024, so the total desktop size is 2304x1024.  I'm using 8-pt Liberation fonts for my system fonts.

The font is wrong about half the time when I log in, and re-running gnome-appearance-properties resolves the issue.

One other behavior I noticed is that when the font is wrong, Ctl-Alt-L fails to lock the display.

Let me know if I there's any debugging and/or logging I can do to help figure this out.
Comment 2 Bryan Mason 2009-04-29 12:06:32 EDT
This happened to me again today when I logged in.  I checked to see if gnome-settings-daemon was running:

    $ ps -ef | grep gnome-settings | grep -v grep
    $ 

and it wasn't.  Restarting gnome-settings-daemon put the fonts back the way they are supposed to be.  I would assume this means that gnome-settings-daemon is dying for some reason.

Maybe this is a duplicate of Bug 464385?
Comment 3 Bug Zapper 2009-11-18 04:06:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:04:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.